Structs 2 Junit plugin

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Structs 2 Junit plugin

Kiran Kumar
Hi Team,

While trying to execute Junit test cases for Struts 2 on  Zulu JDK 11.0 we
are getting an error.
The issue is the package org.apache.struts2 is accessible by more than one
module (Struts 2 core module and Struts 2 Junit plugin module). And we have
raised JIRA https://issues.apache.org/jira/browse/WW-5032?filter=-2. But
still we have not received expected answer. We are making use of all latest
versions of jars related to Struts 2.
Below is pom.xml for the sample project.

*pom.xml*

<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>com.test.junittest</groupId>
<artifactId>struts-junit-example</artifactId>
<packaging>pom</packaging>
<version>1.0-SNAPSHOT</version>
<name>struts-Junit</name>
<url>http://example.com</url>
<dependencies>
<!-- Struts 2 -->
<dependency>
<groupId>org.apache.struts</groupId>
<artifactId>struts2-core</artifactId>
<version>${struts.version}</version>
</dependency>
<dependency>
<groupId>org.apache.struts</groupId>
<artifactId>struts2-junit-plugin</artifactId>
<version>${struts.version}</version>
<scope>test</scope>
</dependency>
<!-- Spring framework -->
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-beans</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-core</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-context-support</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.apache.tomcat</groupId>
<artifactId>tomcat-catalina</artifactId>
<version>${tomcat-current-version}</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>javax.servlet</groupId>
<artifactId>javax.servlet-api</artifactId>
<version>3.0.1</version>
<scope>provided</scope>
</dependency>
</dependencies>
<build>
<finalName>SampleJunit</finalName>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.3</version>
<configuration>
<source>${jdk.version}</source>
<target>${jdk.version}</target>
</configuration>
</plugin>
</plugins>
</build>
<properties>
<project.build.sourceEncoding>Cp1252</project.build.sourceEncoding>
<spring.version>4.3.20.RELEASE</spring.version>
<jdk.version>11</jdk.version>
<struts.version>2.5.20</struts.version>
<tomcat-current-version>9.0.16</tomcat-current-version>
</properties>
</project>

Please kindly let us know the issue. Appreciate your cooperation in this
regards.

Regards,
KIRAN KUMAR VARANSI
Reply | Threaded
Open this post in threaded view
|

Re: Structs 2 Junit plugin

Lukasz Lenart
pt., 24 maj 2019 o 08:48 Kiran Kumar <[hidden email]> napisał(a):
> While trying to execute Junit test cases for Struts 2 on  Zulu JDK 11.0 we
> are getting an error.
> The issue is the package org.apache.struts2 is accessible by more than one
> module (Struts 2 core module and Struts 2 Junit plugin module). And we have
> raised JIRA https://issues.apache.org/jira/browse/WW-5032?filter=-2. But
> still we have not received expected answer. We are making use of all latest
> versions of jars related to Struts 2.

As far I see you are using Eclipse and Eclipse provides its own set of
Struts JARs, try to disabled the one provided by Eclipse.

> Below is pom.xml for the sample project.
> <project.build.sourceEncoding>Cp1252</project.build.sourceEncoding>

Out of context: you should use UTF-8


Regards
--
Łukasz
+ 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]